Bug 118428 - Dependancies on XFree86 should not be present
Dependancies on XFree86 should not be present
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bitmap-fonts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-16 13:10 EST by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 10:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-03-16 13:10:49 EST
The bitmap-fonts package contains hard coded dependancies on
XFree86 packages, which need to be fixed before xorg-x11 can
be enabled in the development tree.

The following is found twice in the spec file, and I believe
it should just be removed.

    BuildRequires: XFree86

I'm not sure what that dependancy was there for, however if
something is used during build time, it should be added as an
X11 implementation independant buildrequires, either by
doing:

BuildRequires: /path/to/some/file/needed/during/build

or if necessary I can make a virtual provides in X11 packaging
to handle the situation.
Comment 1 Roozbeh Pournader 2004-05-30 03:47:26 EDT
The bug is still here in the shipping SRPMs of Fedora Core 2.
Comment 2 Roozbeh Pournader 2004-05-30 04:40:36 EDT
The build process actually requires bdftopcf, provided by
"xorg-x11-font-utils". I guess a virtual provides in that package for
"bdftopcf" is better than hardcoding "/usr/X11R6/bin/bdftopcf" here.
Comment 3 Owen Taylor 2004-09-22 10:30:28 EDT
I just went with BuildRequires: xorg-x11-font-utils, kept it simple,
if thaat package gets rename in a year or two, this package can
be updated again.

Comment 4 Mike A. Harris 2004-09-22 20:06:00 EDT
xorg-x11-font-utils has had the following virtual provide for quite
some time, to avoid future package dependancy problems when things
move around:

Provides: font-utils

I strongly recommend changing to using BuildRequires: font-utils
as this virtual provide will be kept for the future.  I'll leave
that up to you though.

Note You need to log in before you can comment on or make changes to this bug.